cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/document/v1/newversionbyattachment/{driveId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/document/v1/newversionbyattachment/{driveId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/document/v1/newversionbyattachment/{driveId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"kind": "<string>"
}documentId
Post documentv1newversionbyattachment
deprecated
Creates a new version of the AODocs document after uploading a new revision of an attachment (deprecated, use ‘updateAttachment’ instead).
POST
/
document
/
v1
/
newversionbyattachment
/
{driveId}
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the file
Query Parameters
The name of the new version to be created
The description of the new version to be created
The security code
The G Suite domain
⌘I